<?php
/**
 * Crangasi custom styles
 *
 */

function crangasi_custom_styles() {
	if ( get_theme_mod('crangasi_colorschemeno0') != '#EC4040' ) {
	
		$colorschemeno0 = get_theme_mod('crangasi_colorschemeno0', '#EC4040'); ?>
		<style type='text/css'>
			.top-menu-item-0:hover,
			.post-number-0 .post-info .fa,
			.post-number-0 .entry-time,
			.post-number-0 .entry-thumb {
				background-color: <?php echo esc_html($colorschemeno0); ?>;
			}
			.post-number-0 .hentry {
				border-top: 8px solid <?php echo esc_html($colorschemeno0); ?>;
			}
			.post-number-0 .corner {
				border-right: 60px solid <?php echo esc_html($colorschemeno0); ?>;
			}
			.top-menu-item-0 > ul,
			.top-menu-item-0 > ul ul {
				border-top: 5px solid <?php echo esc_html($colorschemeno0); ?>;
			}
			.post-number-0 .tooltip-cats a:hover,
			.post-number-0 .tooltip-tags a:hover,
			.post-number-0 .tooltip-comments a:hover,
			.post-number-0 .tooltip-author a:hover,
			.post-number-0 .entry-title:before,
			.post-number-0 .entry-title:after,
			.post-number-0 .entry-summary::first-letter	{
				color: <?php echo esc_html($colorschemeno0); ?>;
			}
		</style>
	<?php
	}
	if ( get_theme_mod('crangasi_colorschemeno1') != '#3BD893' ) {
	
		$colorschemeno1 = get_theme_mod('crangasi_colorschemeno1', '#3BD893'); ?>
		<style type='text/css'>
			.top-menu-item-1:hover,
			.post-number-1 .post-info .fa,
			.post-number-1 .entry-time,
			.post-number-1 .entry-thumb {
				background-color: <?php echo esc_html($colorschemeno1); ?>;
			}
			.post-number-1 .hentry {
				border-top: 8px solid <?php echo esc_html($colorschemeno1); ?>;
			}
			.post-number-1 .corner {
				border-right: 60px solid <?php echo esc_html($colorschemeno1); ?>;
			}
			.top-menu-item-1 > ul,
			.top-menu-item-1 > ul ul {
				border-top: 5px solid <?php echo esc_html($colorschemeno1); ?>;
			}
			.post-number-1 .tooltip-cats a:hover,
			.post-number-1 .tooltip-tags a:hover,
			.post-number-1 .tooltip-comments a:hover,
			.post-number-1 .tooltip-author a:hover,
			.post-number-1 .entry-title:before,
			.post-number-1 .entry-title:after,
			.post-number-1 .entry-summary::first-letter	{
				color: <?php echo esc_html($colorschemeno1); ?>;
			}
		</style>
	<?php
	}
	if ( get_theme_mod('crangasi_colorschemeno2') != '#D8603B' ) {
	
		$colorschemeno2 = get_theme_mod('crangasi_colorschemeno2', '#D8603B'); ?>
		<style type='text/css'>
			.top-menu-item-2:hover,
			.post-number-2 .post-info .fa,
			.post-number-2 .entry-time,
			.post-number-2 .entry-thumb {
				background-color: <?php echo esc_html($colorschemeno2); ?>;
			}
			.post-number-2 .hentry {
				border-top: 8px solid <?php echo esc_html($colorschemeno2); ?>;
			}
			.post-number-2 .corner {
				border-right: 60px solid <?php echo esc_html($colorschemeno2); ?>;
			}
			.top-menu-item-2 > ul,
			.top-menu-item-2 > ul ul {
				border-top: 5px solid <?php echo esc_html($colorschemeno2); ?>;
			}
			.post-number-2 .tooltip-cats a:hover,
			.post-number-2 .tooltip-tags a:hover,
			.post-number-2 .tooltip-comments a:hover,
			.post-number-2 .tooltip-author a:hover,
			.post-number-2 .entry-title:before,
			.post-number-2 .entry-title:after,
			.post-number-2 .entry-summary::first-letter	{
				color: <?php echo esc_html($colorschemeno2); ?>;
			}
		</style>
	<?php
	}
	if ( get_theme_mod('crangasi_colorschemeno3') != '#459EE4' ) {
	
		$colorschemeno3 = get_theme_mod('crangasi_colorschemeno3', '#459EE4'); ?>
		<style type='text/css'>
			.top-menu-item-3:hover,
			.post-number-3 .post-info .fa,
			.post-number-3 .entry-time,
			.post-number-3 .entry-thumb {
				background-color: <?php echo esc_html($colorschemeno3); ?>;
			}
			.post-number-3 .hentry {
				border-top: 8px solid <?php echo esc_html($colorschemeno3); ?>;
			}
			.post-number-3 .corner {
				border-right: 60px solid <?php echo esc_html($colorschemeno3); ?>;
			}
			.top-menu-item-3 > ul,
			.top-menu-item-3 > ul ul {
				border-top: 5px solid <?php echo esc_html($colorschemeno3); ?>;
			}
			.post-number-3 .tooltip-cats a:hover,
			.post-number-3 .tooltip-tags a:hover,
			.post-number-3 .tooltip-comments a:hover,
			.post-number-3 .tooltip-author a:hover,
			.post-number-3 .entry-title:before,
			.post-number-3 .entry-title:after,
			.post-number-3 .entry-summary::first-letter	{
				color: <?php echo esc_html($colorschemeno3); ?>;
			}
		</style>
	<?php
	}
	if ( get_theme_mod('crangasi_colorschemeno4') != '#F3C200' ) {
	
		$colorschemeno4 = get_theme_mod('crangasi_colorschemeno4', '#F3C200'); ?>
		<style type='text/css'>
			.top-menu-item-4:hover,
			.post-number-4 .post-info .fa,
			.post-number-4 .entry-time,
			.post-number-4 .entry-thumb {
				background-color: <?php echo esc_html($colorschemeno4); ?>;
			}
			.post-number-4 .hentry {
				border-top: 8px solid <?php echo esc_html($colorschemeno4); ?>;
			}
			.post-number-4 .corner {
				border-right: 60px solid <?php echo esc_html($colorschemeno4); ?>;
			}
			.top-menu-item-4 > ul,
			.top-menu-item-4 > ul ul {
				border-top: 5px solid <?php echo esc_html($colorschemeno4); ?>;
			}
			.post-number-4 .tooltip-cats a:hover,
			.post-number-4 .tooltip-tags a:hover,
			.post-number-4 .tooltip-comments a:hover,
			.post-number-4 .tooltip-author a:hover,
			.post-number-4 .entry-title:before,
			.post-number-4 .entry-title:after,
			.post-number-4 .entry-summary::first-letter	{
				color: <?php echo esc_html($colorschemeno4); ?>;
			}
		</style>
	<?php
	}
	if ( get_theme_mod('crangasi_colorschemeno5') != '#39D3E0' ) {
	
		$colorschemeno5 = get_theme_mod('crangasi_colorschemeno5', '#39D3E0'); ?>
		<style type='text/css'>
			.top-menu-item-5:hover,
			.post-number-5 .post-info .fa,
			.post-number-5 .entry-time,
			.post-number-5 .entry-thumb {
				background-color: <?php echo esc_html($colorschemeno5); ?>;
			}
			.post-number-5 .hentry {
				border-top: 8px solid <?php echo esc_html($colorschemeno5); ?>;
			}
			.post-number-5 .corner {
				border-right: 60px solid <?php echo esc_html($colorschemeno5); ?>;
			}
			.top-menu-item-5 > ul,
			.top-menu-item-5 > ul ul {
				border-top: 5px solid <?php echo esc_html($colorschemeno5); ?>;
			}
			.post-number-5 .tooltip-cats a:hover,
			.post-number-5 .tooltip-tags a:hover,
			.post-number-5 .tooltip-comments a:hover,
			.post-number-5 .tooltip-author a:hover,
			.post-number-5 .entry-title:before,
			.post-number-5 .entry-title:after,
			.post-number-5 .entry-summary::first-letter	{
				color: <?php echo esc_html($colorschemeno5); ?>;
			}
		</style>
	<?php
	}	
}
add_action( 'wp_head', 'crangasi_custom_styles');
